Bug 855982 - Infinispan cache container creation Start parameter check/uncheck doesn't work correct
Infinispan cache container creation Start parameter check/uncheck doesn't wor...
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JDG (Show other bugs)
JON 3.1.1
i386 Linux
unspecified Severity low
: ER02
: JON 3.3.0
Assigned To: Stefan Negrea
Armine Hovsepyan
:
Depends On: 851186
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-09-10 16:20 EDT by Stefan Negrea
Modified: 2015-09-02 20:01 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 851186
Environment:
Last Closed: 2014-12-11 09:03:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stefan Negrea 2012-09-10 16:20:58 EDT
+++ This bug was initially created as a clone of Bug #851186 +++

Description of problem:
Infinispan cache container creation Start parameter check/uncheck doesn't work correct
During the creation of new cache container under infinispan resource if you uncheck Start property, LAZY load check box is pre-selected, while saving the container will save Start config as unchecked. 

Version-Release number of selected component (if applicable):
JON 3.1.1 ER3
EAP 6.0

How reproducible:
always

Steps to Reproduce:
1. click on infinispan resource under EAP
2. click on Crete child resource - cache container 
3. put any name and click continue
4. uncheck Start config param - LAZY is pre-selected
5. Click on Finish button


Steps to Reproduce:
1. Repeate 1-4 steps from previous scenario
2. Click on LAZY check box once more (even if it's preselected)
3. Click on Finish button

  
Actual results:
New cache container is created with unchecked Start config parameter

Expected results:
New cache container is created with LAZY Start config parameter

Additional info:
If during the creation you click "EAGER" check box and click finish or click "EAGER" and then LAZY and then finish - correct Start parameter will be saved.

nothing big - but makes inconvenience

--- Additional comment from snegrea@redhat.com on 2012-09-10 16:20:00 EDT ---

This is not a plugin problem, it is purely a GUI problem. The logic for default values and set/unset checkbox is counter-intuitive. 

The way default values are applied to properties was updated to give a natural user experience. Behaviour after the update:
1) If the field is unset then disable field and set value to null
2) If the field is set then enable field and load saved value
3) On unset change from true to false, enable field and load default value if not null
4) On unset change from false to true, disable field and set value to null
Comment 1 mark yarborough 2012-11-20 15:45:26 EST
Per triage with loleary, crouch, mfoley: Move to JBoss ON product, set target release JON 3.2, clear priority (will be subject to further triage in JON 3.2 timeframe).
Comment 3 Jay Shaughnessy 2014-09-03 14:44:58 EDT
Setting to ON_QA.  The upstream fix was committed quite a while ago.
Comment 4 Armine Hovsepyan 2014-09-04 05:01:25 EDT
verified in JON 3.3 ER02

Note You need to log in before you can comment on or make changes to this bug.